1252805542 wordpressが、2.8に、アップデート出来ません。

作業環境は、下記です。
Value-domain Coreserver
Wordpress-2.7.1-ja
MacOSX ver10.6.1
Firefox ver3.5.3
症状としては、サイトはすべて、文字化けを起こしてしまいます。
ダッシュボードは、最初に表示されるデーターベースのアップグレード処理はうまくゆくのですが、そのあとに「このページにアクセスするための十分なアクセス権がありません」と表示され、その後は、動きません。
ファイルのいろいろなところを、いじっているのですが直りません。
結局2.7.1に、戻しています。
サイトアドレスは、下記です。
「けんけんちくちく」建築情報
http://architectural-site.jp/
まったく同じ条件で製作している下記サイトは、問題なく2.8.4に、アップデート出来ました。
「移りゆくすべてに」音楽情報
http://music-site.jp/
最近,wordpressのハッカの記事等が出ており、早急にアップデートしたく、何卒、御教授願います。

回答の条件
  • 1人3回まで
  • 登録:2009/09/13 10:32:23
  • 終了:2009/09/20 10:35:02

ベストアンサー

id:easygoings No.1

easygoings回答回数153ベストアンサー獲得回数202009/09/16 19:35:52

ポイント35pt

これだけだと、何とも答えようがないので・・・

 

【チェックポイント】

●Coreserverとのことですが、PHPをきちんとCGIで動作させていますか?

 .htaccessファイルを見直しましたか?

 

●2.8に対応していないプラグインやテーマを使用していませんか?

 プラグインを全て停止させ、標準のテーマにした後に、アップグレードし、

 ひとつづつプラグインやテーマを戻してみましたか?

 

●アップグレード後のデータベースをphpMyAdmin等で直接開いて、文字化けしていませんか?

 wp-config.phpの内容は、2.8に対応した内容になっていますか?

 

このあたりを中心に、もう一度確認してみたらいかがでしょうか?

id:Ninaaaa

回答ありがとうございます。

.htaccessは、何度も見直し、現在正常にアップできているもう一つのサイトも参考にしているので問題はないと考えています。

また、プラグインはアップグレードする際にすべて停止させております。

テーマも、戻して作業しています。

phpMyAdminで、アップグレード後のデーターベース確認というのは、具体的な作業方法がわかりません。

いづれにしても、もう一度すべてを再確認してみます。

2009/09/18 12:35:03

その他の回答(1件)

id:easygoings No.1

easygoings回答回数153ベストアンサー獲得回数202009/09/16 19:35:52ここでベストアンサー

ポイント35pt

これだけだと、何とも答えようがないので・・・

 

【チェックポイント】

●Coreserverとのことですが、PHPをきちんとCGIで動作させていますか?

 .htaccessファイルを見直しましたか?

 

●2.8に対応していないプラグインやテーマを使用していませんか?

 プラグインを全て停止させ、標準のテーマにした後に、アップグレードし、

 ひとつづつプラグインやテーマを戻してみましたか?

 

●アップグレード後のデータベースをphpMyAdmin等で直接開いて、文字化けしていませんか?

 wp-config.phpの内容は、2.8に対応した内容になっていますか?

 

このあたりを中心に、もう一度確認してみたらいかがでしょうか?

id:Ninaaaa

回答ありがとうございます。

.htaccessは、何度も見直し、現在正常にアップできているもう一つのサイトも参考にしているので問題はないと考えています。

また、プラグインはアップグレードする際にすべて停止させております。

テーマも、戻して作業しています。

phpMyAdminで、アップグレード後のデーターベース確認というのは、具体的な作業方法がわかりません。

いづれにしても、もう一度すべてを再確認してみます。

2009/09/18 12:35:03
id:azuco1975 No.2

azuco1975回答回数613ベストアンサー獲得回数162009/09/18 07:53:29

ポイント35pt

>データーベースのアップグレード処理

この処理の後、データーベースのバックアップをとり、

データベースを初期化、WordpRess2.8を新規インストール

プラグインはとりあえず最小限

その後、データを復元

でどうでしょうか?

xreaでは、うまくアップグレードできなくて文字化けしてる人が

続出してます。

id:Ninaaaa

回答ありがとうございます。

最終手段として、考えてみます。

アップグレード処理とは、2.8に変更したとき、ダッシュボード画面にて最初に表示されており、その後動かなくなるのですが、この処理のことを指しているのでしょうか?

また、初期化とデーター復元の具体的方法を御教授願えれば、助かります。

2009/09/18 12:42:09
  • id:koujirou6218
    プラグインなどは入れていませんか?導入しているプラグインのバージョンも同じなのでしょうか?
    以下のサイトを参考にしてください。
    http://www.odysseygate.com/archives/769

  • id:Ninaaaa
    koujirouさん、回答ありがとうございます。
    プラグインを全て最新のものとし、使用していないものは、全て削除しました。
    ただ、今のところ直っていません。
    これから、プラグインのバージョンをひとつずつ、検証しようと考えています。
    また、http://www.odysseygate.com/archives/769のサイトも、参考にしております。

    Akismet2.2.6、coComment Enhancer 1.2.3b、 Content with show/hide javascript for "more"1.4、Custom Query String2.6、Dagon Design Sitemap Generator3.15、Flickr Badge Widget1.3、HeadSpace2 3.6.32、Lightbox 2 Plugin 0.7、MightyAdsense4.1、Photo Dropper1.0.8、Post-Plugin Library2.6.2.1、SimilarPosts2.6.2.0、Simple Tagging1.7、Simple Tags1.6.6、Updated Now Banner 2.3、WordPress Database Backup2.2.2、WP-PageNavi2.20、WP-PostViews1.40、 WP-PostViews Widget1.40、WP Multibyte Patch1.1.2、Yoast Breadcrumbs 0.8.4
    上記プラグインを現在使用しております。
    いましばらく、時間が必要です。

この質問への反応(ブックマークコメント)

「あの人に答えてほしい」「この質問はあの人が答えられそう」というときに、回答リクエストを送ってみてましょう。

これ以上回答リクエストを送信することはできません。制限について

絞り込み :
はてなココの「ともだち」を表示します。
回答リクエストを送信したユーザーはいません